From c0501535b1ec3709abb8334ddd29f2603bece5ca Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 3 May 2020 19:57:32 -0500
Subject: [PATCH v5 3/5] possessive: its (and more)

---
 src/backend/replication/logical/origin.c | 2 +-
 src/backend/utils/mmgr/README            | 2 +-
 src/bin/pg_dump/pg_backup_archiver.c     | 6 +++---
 src/bin/pg_dump/pg_backup_custom.c       | 8 +++-----
 4 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/src/backend/replication/logical/origin.c b/src/backend/replication/logical/origin.c
index 1ca4479605..dec9e95119 100644
--- a/src/backend/replication/logical/origin.c
+++ b/src/backend/replication/logical/origin.c
@@ -427,7 +427,7 @@ restart:
 
 
 /*
- * Lookup replication origin via it's oid and return the name.
+ * Lookup replication origin via its oid and return the name.
  *
  * The external name is palloc'd in the calling context.
  *
diff --git a/src/backend/utils/mmgr/README b/src/backend/utils/mmgr/README
index e892779cdd..221b4bd343 100644
--- a/src/backend/utils/mmgr/README
+++ b/src/backend/utils/mmgr/README
@@ -462,7 +462,7 @@ Memory Accounting
 -----------------
 
 One of the basic memory context operations is determining the amount of
-memory used in the context (and it's children). We have multiple places
+memory used in the context (and its children). We have multiple places
 that implement their own ad hoc memory accounting, and this is meant to
 provide a unified approach. Ad hoc accounting solutions work for places
 with tight control over the allocations or when it's easy to determine
diff --git a/src/bin/pg_dump/pg_backup_archiver.c b/src/bin/pg_dump/pg_backup_archiver.c
index 8f0b32ca17..4c91b9e1bc 100644
--- a/src/bin/pg_dump/pg_backup_archiver.c
+++ b/src/bin/pg_dump/pg_backup_archiver.c
@@ -209,14 +209,14 @@ dumpOptionsFromRestoreOptions(RestoreOptions *ropt)
 /*
  *	Wrapper functions.
  *
- *	The objective it to make writing new formats and dumpers as simple
+ *	The objective is to make writing new formats and dumpers as simple
  *	as possible, if necessary at the expense of extra function calls etc.
  *
  */
 
 /*
  * The dump worker setup needs lots of knowledge of the internals of pg_dump,
- * so It's defined in pg_dump.c and passed into OpenArchive. The restore worker
+ * so it's defined in pg_dump.c and passed into OpenArchive. The restore worker
  * setup doesn't need to know anything much, so it's defined here.
  */
 static void
@@ -1450,7 +1450,7 @@ SortTocFromFile(Archive *AHX)
 }
 
 /**********************
- * 'Convenience functions that look like standard IO functions
+ * Convenience functions that look like standard IO functions
  * for writing data when in dump mode.
  **********************/
 
diff --git a/src/bin/pg_dump/pg_backup_custom.c b/src/bin/pg_dump/pg_backup_custom.c
index 369dcea429..31a03ea3ee 100644
--- a/src/bin/pg_dump/pg_backup_custom.c
+++ b/src/bin/pg_dump/pg_backup_custom.c
@@ -262,7 +262,6 @@ _ReadExtraToc(ArchiveHandle *AH, TocEntry *te)
  * that includes useful information about the TOC entry.
  *
  * Optional.
- *
  */
 static void
 _PrintExtraToc(ArchiveHandle *AH, TocEntry *te)
@@ -324,7 +323,6 @@ _WriteData(ArchiveHandle *AH, const void *data, size_t dLen)
  * finished.
  *
  * Optional.
- *
  */
 static void
 _EndData(ArchiveHandle *AH, TocEntry *te)
@@ -529,8 +527,8 @@ _LoadBlobs(ArchiveHandle *AH, bool drop)
 /*
  * Skip the BLOBs from the current file position.
  * BLOBS are written sequentially as data blocks (see below).
- * Each BLOB is preceded by it's original OID.
- * A zero OID indicated the end of the BLOBS
+ * Each BLOB is preceded by its original OID.
+ * A zero OID indicates the end of the BLOBS
  */
 static void
 _skipBlobs(ArchiveHandle *AH)
@@ -548,7 +546,7 @@ _skipBlobs(ArchiveHandle *AH)
 /*
  * Skip data from current file position.
  * Data blocks are formatted as an integer length, followed by data.
- * A zero length denoted the end of the block.
+ * A zero length indicates the end of the block.
 */
 static void
 _skipData(ArchiveHandle *AH)
-- 
2.17.0

